Taxtemplates
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptionalExample:
Filter the results. See developer resources for more information. On endpoints whose entity supports
custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or
customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be
combined with and.
name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')OrderBystringOptionalExample:
Sorting the results. See developer resources for more information
accountNumber DescModifiedAfterstring · date-timeOptionalExample:
Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.
2026-07-01ModifiedBeforestring · date-timeOptionalExample:
Apply a separate filter to only get records that has been modified Before the specified date time.
2026-07-01PageSizeinteger · int32OptionalExample:
Page Size
20PageNumberinteger · int32OptionalExample:
Page Number
1Header parameters
api-versionstringOptional
Responses
200
Success
application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
get/TaxTemplates
GET /TaxTemplates HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"pageNumber": 1,
"pageSize": 1,
"totalPages": 1,
"totalCount": 1,
"nextPage": "https://example.com",
"previousPage": "https://example.com",
"firstPage": "https://example.com",
"lastPage": "https://example.com",
"data": [
{
"description": "text",
"effectiveFrom": "2026-01-01T00:00:00.000Z",
"effectiveTo": "2026-01-01T00:00:00.000Z",
"taxAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
},
"taxAccountId": "123e4567-e89b-12d3-a456-426614174000",
"details": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"taxTemplateId": "123e4567-e89b-12d3-a456-426614174000",
"country": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"twoAlphaCode": "text",
"threeAlphaCode": "text",
"active": true,
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"countryId": "123e4567-e89b-12d3-a456-426614174000",
"city": "text",
"state": "text",
"county": "text",
"zip": "text",
"tax1": 1,
"tax2": 1,
"tax3": 1,
"useTaxJar": true,
"taxCategoryId": "123e4567-e89b-12d3-a456-426614174000",
"taxCategory": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isActive": true,
"isEUTax": true,
"externalCode": "text"
}
}
],
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}
]
}Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
application/json
descriptionstring · nullableOptional
effectiveFromstring · date-timeOptional
effectiveTostring · date-timeOptional
taxAccountIdstring · uuid · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
idstring · uuidOptional
namestring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
get/TaxTemplates/{id}
GET /TaxTemplates/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"description": "text",
"effectiveFrom": "2026-01-01T00:00:00.000Z",
"effectiveTo": "2026-01-01T00:00:00.000Z",
"taxAccount": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"name": "text",
"description": "text",
"externalERPId": "text",
"externalCRMId": "text"
},
"taxAccountId": "123e4567-e89b-12d3-a456-426614174000",
"details": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"taxTemplateId": "123e4567-e89b-12d3-a456-426614174000",
"country": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"twoAlphaCode": "text",
"threeAlphaCode": "text",
"active": true,
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"countryId": "123e4567-e89b-12d3-a456-426614174000",
"city": "text",
"state": "text",
"county": "text",
"zip": "text",
"tax1": 1,
"tax2": 1,
"tax3": 1,
"useTaxJar": true,
"taxCategoryId": "123e4567-e89b-12d3-a456-426614174000",
"taxCategory": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isActive": true,
"isEUTax": true,
"externalCode": "text"
}
}
],
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
}Last updated
Was this helpful?